Bug 134028 - [GTK] XPathNSResolver should be exposed as an interface instead of as a class
Summary: [GTK] XPathNSResolver should be exposed as an interface instead of as a class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 133724 134297
  Show dependency treegraph
 
Reported: 2014-06-18 06:25 PDT by Carlos Garcia Campos
Modified: 2014-07-02 00:04 PDT (History)
8 users (show)

See Also:


Attachments
Patch (35.91 KB, patch)
2014-06-24 05:54 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated to build on current git master (35.83 KB, patch)
2014-06-25 04:52 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-06-18 06:25:19 PDT
Similar to the NodeFilter case (see bug #93002), but in this case the XPathNSResolver interface can be implemented internally or by the application. So we need to expose it as an interface, but we also need to wrap NativeXPathNSResolver internally to provide a default implementation for methods that create a XPathNSResolver.
Comment 1 Carlos Garcia Campos 2014-06-24 05:54:41 PDT
Created attachment 233696 [details]
Patch
Comment 2 Carlos Garcia Campos 2014-06-25 04:52:20 PDT
Created attachment 233804 [details]
Updated to build on current git master
Comment 3 Gustavo Noronha (kov) 2014-07-01 09:03:33 PDT
Comment on attachment 233804 [details]
Updated to build on current git master

LGTM
Comment 4 Carlos Garcia Campos 2014-07-02 00:04:58 PDT
Committed r170700: <http://trac.webkit.org/changeset/170700>